# SPDX-License-Identifqier: MIT
%global forgeurl https://github.com/mitradranirban/fonts-fbf-beng
Version:   1.0.2
Release:   1%{?dist}
%forgemeta
URL: %forgeurl

%global foundry fbf
%global fontfamily        Mitra
%global fontlicense       GPLv2+ with exceptions
%global fontlicenses      LICENCE
%global fontdocs          mitramono-*
%global fontdocsex        %{fontlicenses}
%global fontsummary       Experimental Monospace Bengali Font
%global fonts            *.ttf
%global fontconfs        68-0-%{fontpkgname}.conf
BuildRequires: fontforge

%global fontdescription  %{expand:
This is an experimental monospace Bengali  Font with additional ISCII
 encoding for specialised applications like xterm, IE6. It can also be
used to view ISCII encoded Bangla Text without converting to Unicode. 
}
Source0:  %forgesource

%fontpkg

%prep

%forgesetup
chmod 755 generate.pe
./generate.pe mitramono.sfd

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog

* Tue Feb 08 2022 11:36:29 +0530 Dr Anirban Mitra <mitra_anirban@yahoo.co.in> -  1.0.2-1
- Created pstf lookup to generate yaphala
- Updated font to add character to be compliant with Unicode 5.0
- Removed overlapping
- removed Bengali Namespace error of double utf8 encoding
